InstallationManual

From Iris2

Jump to: navigation, search

Contents

Installation on Windows

1. Download & Install Ultima Online Mondains Legacy Client (Update Mondains Legacy Client to newest Version (up to Stygian Abyss Expansion)).

IMPORTANT: Don't take an existing UO installation, otherwise Iris2 may not work correct!

For Iris2 3D mode you need an UO installation with 3D Character models. UO:ML is the only Version that has this 3D Char models!

2. Download the Iris2 Windows Installer.

3. Install Iris2_Setup.exe

4. Go to Start Menu and choose Iris2


OPTIONAL If you want to use the "latest" Iris2 Version (developer version), just start the Iris2 GUI-Updater select Version: latest and hit the Update button.

  • If you experience problems take a look at out FAQ.

Controls

see Controls.

How to set up HotKeys and Macros

since iris doesn't have a nice editor dialog for hotkeys and macros yet, they have to be set up by editing config/mymacros.lua

for more infos on how to do that please see Macros-Quickstart

Installation on Linux

see also Building From Source.

Suse

Infos here: http://packman.links2linux.de/package/iris2

Ubuntu

Setup Iris2

Install Subversion:

sudo apt-get install subversion

Checkout Iris2 sources (go into Console, create an folder called svn_iris, go into this folder and type):

svn co svn://iris.schattenkind.net/iris/trunk

cd trunk

./installdeps.ubuntu.sh
  • note for ubuntu 9.10 (karmic) : libboost-thread1.37-dev is no longer available, use libboost-thread1.38-dev instead
  • we should add an info if fmod is not installed and if installed create a symbolic link or search the right file
  • we should add g++ and libogre-dev, libois1, libois-dev and wine here!)
sudo apt-get install g++

./makeclean.sh 
./premakelinux.sh

if you get linker errors like "undefined reference to ... FMOD_..." (64 bit problem) you can disable it by editing premake.lua and setting "gbUseSoundFmod = true" to false

Setup Ogre3d

copy & paste in Terminal

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 6FED7057

Then got to System->Administration->Software Source. Click on the "Third Party Software" Tab and then click the "Add" Button.


Replace the word jaunty with your version of Ubuntu and add there repositories.

deb http://ppa.launchpad.net/andrewfenn/ogredev/ubuntu jaunty main

deb-src http://ppa.launchpad.net/andrewfenn/ogredev/ubuntu jaunty main

After you have done this click close.


Hit the Reload button to update your sources.


Than search in Synaptic for "libogre-dev" and install it. Or Go on the left Side on Origin, select ppa.launchpad.net/universe and select "libogre-dev" for installation. Also install "libois1" and "libois-dev". ogre-doc may be also usefull.

Setup FMod (optional)

grab a copy of fmod from http://www.fmod.org/index.php/download .

  • Linux 32bit (Stable 4.xx) or
  • Linux 64bit (Stable 4.xx)

Extract this tar in your home directory (go into file Browser, right click on (fmodapixxxxlinux.tar.gz) and select "Extract here").


Then go into the Console:

cd fmodapixxxxxxlinux

sudo make install

(type in admin password)

you probably have to add a symbolic link so that iris can find the fmod lib, since the filename contains the version
to do that run
#> locate libfmod
if it lists something like /usr/local/lib/libfmodex-4.27.06.so
then you should make a symbolic link like this :
#> sudo ln -s /usr/local/lib/libfmodex-4.27.06.so /usr/local/lib/libfmodex.so
then iris will find it during compile : ./makeclean.sh && ./premakelinux.sh
if you get linker errors like 'undefined reference to ... FMOD_...' (64 bit problem) you can disable fmod by editing premake.lua and setting 'gbUseSoundFmod = true' to false

Install Ultima Online:Mondain's Legacy Client via WINE

Install and Download WINE on your Linux.

Download Ultima Online Mondains Legacy Client (Update Mondains Legacy Client to newest Version (updates Up to Stygian Abyss Expansion).

IMPORTANT: Don't take an existing UO installation, otherwise Iris2 may not work correct!

For Iris2 3D mode you need an UO installation with 3D Character models. UO:ML is the only Version that has this 3D Char models!


Start UO-Installer with WINE.
Install uo.

Start Iris2

/trunk

./start.sh

Debian

Just like Ubuntu with some more work, but if you are a Debian User, you can handle it ;-).


other linux distros

even if you're not on ubuntu, see installdeps.ubuntu.sh for package names and instructions, it might help

How to set up HotKeys and Macros

since iris doesn't have a nice editor dialog for hotkeys and macros yet, they have to be set up by editing config/mymacros.lua

for more infos on how to do that please see Macros-Quickstart

Good Luck :-)

Personal tools